Update a source
curl --request PATCH \
--url https://bulkgrid.com/api/v1/sources/{sourceId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"label": "<string>",
"canonical_url": "<string>",
"metadata": {},
"custom_interval_minutes": 4503599627370498,
"crawl_config": {
"includePaths": [
"<string>"
],
"excludePaths": [
"<string>"
],
"selectedRef": "<string>",
"selectedUrls": [
"<string>"
],
"crawlOptions": {
"waitAfterLoad": 15000,
"timeout": 30500,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"useHttp": true,
"useLlmsTxt": true,
"removeConsentPopups": true,
"includeDocumentLinks": true
}
}
}
'import requests
url = "https://bulkgrid.com/api/v1/sources/{sourceId}"
payload = {
"label": "<string>",
"canonical_url": "<string>",
"metadata": {},
"custom_interval_minutes": 4503599627370498,
"crawl_config": {
"includePaths": ["<string>"],
"excludePaths": ["<string>"],
"selectedRef": "<string>",
"selectedUrls": ["<string>"],
"crawlOptions": {
"waitAfterLoad": 15000,
"timeout": 30500,
"includeTags": ["<string>"],
"excludeTags": ["<string>"],
"useHttp": True,
"useLlmsTxt": True,
"removeConsentPopups": True,
"includeDocumentLinks": True
}
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
canonical_url: '<string>',
metadata: {},
custom_interval_minutes: 4503599627370498,
crawl_config: {
includePaths: ['<string>'],
excludePaths: ['<string>'],
selectedRef: '<string>',
selectedUrls: ['<string>'],
crawlOptions: {
waitAfterLoad: 15000,
timeout: 30500,
includeTags: ['<string>'],
excludeTags: ['<string>'],
useHttp: true,
useLlmsTxt: true,
removeConsentPopups: true,
includeDocumentLinks: true
}
}
})
};
fetch('https://bulkgrid.com/api/v1/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source": {
"crawl_config": null,
"crawl_interval": "hourly",
"created_at": "<string>",
"created_by_user_id": "<string>",
"created_by_workspace_id": "<string>",
"custom_interval_minutes": 123,
"icon_url": "<string>",
"id": "<string>",
"identifier": "<string>",
"integration_type": "web",
"is_active": true,
"label": "<string>",
"last_crawled_at": "<string>",
"max_depth": 123,
"max_items": 123,
"metadata": null,
"next_crawl_at": "<string>",
"public_source_id": "<string>",
"source_mode": "discover",
"total_items_found": 123,
"type": "domain",
"updated_at": "<string>",
"visibility": "public",
"workspace_id": "<string>"
},
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "<string>",
"config": null,
"created_at": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"done": 0,
"error_code": "<string>",
"error_count": 0,
"error_details": null,
"extraction_query": "<string>",
"extraction_schema": null,
"failed": 0,
"in_progress": 0,
"inline_credentials": null,
"indexing_completed_at": "<string>",
"indexing_started_at": "<string>",
"indexing_time_ms": 0,
"last_error": "<string>",
"last_error_at": "<string>",
"last_heartbeat": "<string>",
"max_retries": 0,
"message_ids": [
"<string>"
],
"metadata": null,
"needs_dispatch": true,
"priority": 0,
"processing_time_ms": 0,
"query": "<string>",
"queued": 0,
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_count": 0,
"started_at": "<string>",
"status": "pending",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "crawl",
"updated_at": "<string>",
"urls": [
"<string>"
],
"indexed_pages": 0,
"indexing_done": 0,
"indexing_failed": 0,
"indexing_failed_pages": 0,
"indexing_in_progress": 0,
"indexing_queued": 0,
"deletion_requested_at": "<string>"
},
"dispatchDeferred": true
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}Sources
Update a source
Required permission: sources:write.
PATCH
/
api
/
v1
/
sources
/
{sourceId}
Update a source
Authorizations
apiKeyAuthbearerAuth
Bulkgrid API key
Path Parameters
Body
application/json
Required string length:
1 - 200Show child attributes
Show child attributes
Available options:
discover, selected_pages Available options:
hourly, daily, weekly, monthly, custom Required range:
5 <= x <= 9007199254740991Show child attributes
Show child attributes